package com.jkcredit.invoice.mapper.Binvoce;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.invoice.BillInvoice;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
@Repository
public interface BillInvoiceMapper extends BaseMapper<BillInvoice>{
    IPage<List<BillInvoice>> selectAllByPage(Page page, @Param("billInvoice") BillInvoice billInvoice);

    int insert(BillInvoice record);

    int updateByPrimaryKey(BillInvoice record);

    int updateByInvoiceNum(BillInvoice record);

    List<BillInvoice> selectByBillNum(String wayBillNum);

    BillInvoice selectByInvoiceNum(String wayBillNum);
}
